> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Update details of a tenant organization (Beta)

PATCH https://api.sigmacomputing.com/v2/tenants/{tenantOrganizationId}
Content-Type: application/json

Update the details of an existing tenant organization. The organization name and slug can be updated through this endpoint.

**Beta**: This documentation describes a public beta feature and is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.
    
### Usage notes
- To perform this operation, you must use API credentials owned by a user assigned the Admin account type.
- Retrieve the **tenantOrganizationId** by calling the [/v2/tenants](https://help.sigmacomputing.com/reference/list-tenants) endpoint.

Reference: https://help.sigmacomputing.com/reference/patch-tenant

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/tenants/{tenantOrganizationId}:
    patch:
      operationId: patchTenant
      summary: Update details of a tenant organization (Beta)
      description: >-
        Update the details of an existing tenant organization. The organization
        name and slug can be updated through this endpoint.


        **Beta**: This documentation describes a public beta feature and is
        subject to the [Beta
        features](/docs/sigma-product-releases#beta-features) disclaimer.
            
        ### Usage notes

        - To perform this operation, you must use API credentials owned by a
        user assigned the Admin account type.

        - Retrieve the **tenantOrganizationId** by calling the
        [/v2/tenants](https://help.sigmacomputing.com/reference/list-tenants)
        endpoint.
      tags:
        - Tenants
      parameters:
        - name: tenantOrganizationId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/tenants_patchTenant_Response_200'
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                tenantOrganizationName:
                  type: string
                  description: New name for the tenant organization
                tenantOrganizationSlug:
                  type: string
                  description: New URL identifier for the tenant organization
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    tenants_patchTenant_Response_200:
      type: object
      properties:
        tenantOrganizationId:
          type: string
          description: Unique identifier of the tenant organization
        parentOrganizationId:
          type: string
          description: Unique identifier of the tenant's parent organization
        createdBy:
          type: string
          description: Unique identifier of the user who created the tenant organization
        updatedBy:
          type: string
          description: >-
            Unique identifier of the user who last updated the tenant
            organization
        createdAt:
          type: string
          format: date-time
          description: >-
            Timestamp when the tenant organization was created. Format: ISO 8601
            timestamp
        updatedAt:
          type: string
          format: date-time
          description: >-
            Timestamp when the tenant organization was last updated. Format: ISO
            8601 timestamp
        tenantOrganizationName:
          type: string
          description: Name of the tenant organization to create
        tenantOrganizationSlug:
          type: string
          description: URL identifier for the tenant organization
        sharedAt:
          type: string
          format: date-time
          description: >-
            Timestamp when the tenant organization was shared, if applicable.
            Format: ISO 8601 timestamp
        tenantCloudProvider:
          type: string
          description: Cloud provider the tenant organization is hosted on
        tenantRegion:
          type: string
          description: Region the tenant organization is hosted in
        tenantApiUrl:
          type: string
          description: Base URL for accessing the tenant organization API
      required:
        - tenantOrganizationId
        - parentOrganizationId
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
        - tenantOrganizationName
        - tenantOrganizationSlug
      title: tenants_patchTenant_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "tenantOrganizationId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
  "parentOrganizationId": "f1e2d3c4-b5a6-7890-cd12-ef34ab567890",
  "createdBy": "user-1234567890abcdef",
  "updatedBy": "user-0987654321fedcba",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-04-20T14:45:00Z",
  "tenantOrganizationName": "Acme Corporation",
  "tenantOrganizationSlug": "acme-corp",
  "sharedAt": "2024-02-10T11:00:00Z",
  "tenantCloudProvider": "AWS",
  "tenantRegion": "us-west-2",
  "tenantApiUrl": "https://api.us-west-2.aws.sigmacomputing.com"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId';
const options = {
  method: 'PATCH',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```